package com.chinaitop.depot.business.model;

import java.math.BigDecimal;
import java.util.Date;

public class BusinessContract {
    private Integer id;

    private String contractNumber;

    private Integer planBid;

    private String contractTitle;

    private Integer contractType;

    private Date signingTime;

    private String qddd;

    private String moneyQuantity;

    private String lybzj;

    private Integer customerBid;

    private BigDecimal grainQuantity;

    private String customerId;

    private String customerNumber;

    private String customerName;

    private String signingMan;

    private Date enableDate;

    private BigDecimal performanceQuantity;

    private BigDecimal performanceRate;

    private Byte settleContractUniformity;

    private String settleContractUniformityReason;

    private Date signCompleTime;

    private String purchaseUnit;

    private Date disableDate;

    private String originalContract;

    private Integer originalContractBid;

    private Integer rootContractBid;

    private Integer shippingType;

    private Integer contractPayType;

    private String finishedQuantity;

    private String moneyOfFinishedQuantity;

    private String remark;

    private String plantAcreage;

    private String planNumber;

    private String mobile;

    private String bankName;

    private String accountName;

    private String accountNumber;

    private String breachLiability;

    private String dissolutionConditions;

    private String identification;

    private String khqyr;

    private String bfkhh;

    private String bfzh;

    private String disputeSettlementMethod;

    private String changeRecordFlag;

    private String changeReason;

    private Date changeTime;

    private String changeContent;

    private String changing;

    private String auditState;

    private String processInstanceId;

    private String processDefinitionId;

    private Date agreeTime;

    private String createMan;

    private String creater;

    private Date createTime;

    private String createUnit;

    private String createDepot;

    private Date updateTime;

    private Integer orgId;

    private Integer inApplication;

    private Integer createrId;

    private Date updatetime;

    private String attachment;

    /**
     * 主键
     * @return id 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 合同编号
     * @return contract_number 合同编号
     */
    public String getContractNumber() {
        return contractNumber;
    }

    /**
     * 合同编号
     * @param contractNumber 合同编号
     */
    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber == null ? null : contractNumber.trim();
    }

    /**
     * 计划id；biz_rp_issuance的ID；
     * @return plan_bid 计划id；biz_rp_issuance的ID；
     */
    public Integer getPlanBid() {
        return planBid;
    }

    /**
     * 计划id；biz_rp_issuance的ID；
     * @param planBid 计划id；biz_rp_issuance的ID；
     */
    public void setPlanBid(Integer planBid) {
        this.planBid = planBid;
    }

    /**
     * 合同名称
     * @return contract_title 合同名称
     */
    public String getContractTitle() {
        return contractTitle;
    }

    /**
     * 合同名称
     * @param contractTitle 合同名称
     */
    public void setContractTitle(String contractTitle) {
        this.contractTitle = contractTitle == null ? null : contractTitle.trim();
    }

    /**
     * 合同类型；busbasic_enum的ID；
     * @return contract_type 合同类型；busbasic_enum的ID；
     */
    public Integer getContractType() {
        return contractType;
    }

    /**
     * 合同类型；busbasic_enum的ID；
     * @param contractType 合同类型；busbasic_enum的ID；
     */
    public void setContractType(Integer contractType) {
        this.contractType = contractType;
    }

    /**
     * 合同签订时间，竞拍日期
     * @return signing_time 合同签订时间，竞拍日期
     */
    public Date getSigningTime() {
        return signingTime;
    }

    /**
     * 合同签订时间，竞拍日期
     * @param signingTime 合同签订时间，竞拍日期
     */
    public void setSigningTime(Date signingTime) {
        this.signingTime = signingTime;
    }

    /**
     * 签订地点
     * @return qddd 签订地点
     */
    public String getQddd() {
        return qddd;
    }

    /**
     * 签订地点
     * @param qddd 签订地点
     */
    public void setQddd(String qddd) {
        this.qddd = qddd == null ? null : qddd.trim();
    }

    /**
     * 合同总金额(元)
     * @return money_quantity 合同总金额(元)
     */
    public String getMoneyQuantity() {
        return moneyQuantity;
    }

    /**
     * 合同总金额(元)
     * @param moneyQuantity 合同总金额(元)
     */
    public void setMoneyQuantity(String moneyQuantity) {
        this.moneyQuantity = moneyQuantity == null ? null : moneyQuantity.trim();
    }

    /**
     * 履约保证金
     * @return lybzj 履约保证金
     */
    public String getLybzj() {
        return lybzj;
    }

    /**
     * 履约保证金
     * @param lybzj 履约保证金
     */
    public void setLybzj(String lybzj) {
        this.lybzj = lybzj == null ? null : lybzj.trim();
    }

    /**
     * 客户id；business_customer的ID；
     * @return customer_bid 客户id；business_customer的ID；
     */
    public Integer getCustomerBid() {
        return customerBid;
    }

    /**
     * 客户id；business_customer的ID；
     * @param customerBid 客户id；business_customer的ID；
     */
    public void setCustomerBid(Integer customerBid) {
        this.customerBid = customerBid;
    }

    /**
     * 合同粮食数量(吨)；约定购销粮食数量；
     * @return grain_quantity 合同粮食数量(吨)；约定购销粮食数量；
     */
    public BigDecimal getGrainQuantity() {
        return grainQuantity;
    }

    /**
     * 合同粮食数量(吨)；约定购销粮食数量；
     * @param grainQuantity 合同粮食数量(吨)；约定购销粮食数量；
     */
    public void setGrainQuantity(BigDecimal grainQuantity) {
        this.grainQuantity = grainQuantity;
    }

    /**
     * 中转方式；busbasic_enum的ID；废弃
     * @return customer_id 中转方式；busbasic_enum的ID；废弃
     */
    public String getCustomerId() {
        return customerId;
    }

    /**
     * 中转方式；busbasic_enum的ID；废弃
     * @param customerId 中转方式；busbasic_enum的ID；废弃
     */
    public void setCustomerId(String customerId) {
        this.customerId = customerId == null ? null : customerId.trim();
    }

    /**
     * 客户编号；废弃；
     * @return customer_number 客户编号；废弃；
     */
    public String getCustomerNumber() {
        return customerNumber;
    }

    /**
     * 客户编号；废弃；
     * @param customerNumber 客户编号；废弃；
     */
    public void setCustomerNumber(String customerNumber) {
        this.customerNumber = customerNumber == null ? null : customerNumber.trim();
    }

    /**
     * 合同客户名称；废弃；
     * @return customer_name 合同客户名称；废弃；
     */
    public String getCustomerName() {
        return customerName;
    }

    /**
     * 合同客户名称；废弃；
     * @param customerName 合同客户名称；废弃；
     */
    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    /**
     * 合同签订人；废弃；
     * @return signing_man 合同签订人；废弃；
     */
    public String getSigningMan() {
        return signingMan;
    }

    /**
     * 合同签订人；废弃；
     * @param signingMan 合同签订人；废弃；
     */
    public void setSigningMan(String signingMan) {
        this.signingMan = signingMan == null ? null : signingMan.trim();
    }

    /**
     * 合同生效日期；废弃；
     * @return enable_date 合同生效日期；废弃；
     */
    public Date getEnableDate() {
        return enableDate;
    }

    /**
     * 合同生效日期；废弃；
     * @param enableDate 合同生效日期；废弃；
     */
    public void setEnableDate(Date enableDate) {
        this.enableDate = enableDate;
    }

    /**
     * 履约数量
     * @return performance_quantity 履约数量
     */
    public BigDecimal getPerformanceQuantity() {
        return performanceQuantity;
    }

    /**
     * 履约数量
     * @param performanceQuantity 履约数量
     */
    public void setPerformanceQuantity(BigDecimal performanceQuantity) {
        this.performanceQuantity = performanceQuantity;
    }

    /**
     * 履约率
     * @return performance_rate 履约率
     */
    public BigDecimal getPerformanceRate() {
        return performanceRate;
    }

    /**
     * 履约率
     * @param performanceRate 履约率
     */
    public void setPerformanceRate(BigDecimal performanceRate) {
        this.performanceRate = performanceRate;
    }

    /**
     * 结算与合同一致性 0：不一致；1：一致；
     * @return settle_contract_uniformity 结算与合同一致性 0：不一致；1：一致；
     */
    public Byte getSettleContractUniformity() {
        return settleContractUniformity;
    }

    /**
     * 结算与合同一致性 0：不一致；1：一致；
     * @param settleContractUniformity 结算与合同一致性 0：不一致；1：一致；
     */
    public void setSettleContractUniformity(Byte settleContractUniformity) {
        this.settleContractUniformity = settleContractUniformity;
    }

    /**
     * 结算与合同不一致性原因
     * @return settle_contract_uniformity_reason 结算与合同不一致性原因
     */
    public String getSettleContractUniformityReason() {
        return settleContractUniformityReason;
    }

    /**
     * 结算与合同不一致性原因
     * @param settleContractUniformityReason 结算与合同不一致性原因
     */
    public void setSettleContractUniformityReason(String settleContractUniformityReason) {
        this.settleContractUniformityReason = settleContractUniformityReason == null ? null : settleContractUniformityReason.trim();
    }

    /**
     * 签约完成时间
     * @return sign_comple_time 签约完成时间
     */
    public Date getSignCompleTime() {
        return signCompleTime;
    }

    /**
     * 签约完成时间
     * @param signCompleTime 签约完成时间
     */
    public void setSignCompleTime(Date signCompleTime) {
        this.signCompleTime = signCompleTime;
    }

    /**
     * 采购单位
     * @return purchase_unit 采购单位
     */
    public String getPurchaseUnit() {
        return purchaseUnit;
    }

    /**
     * 采购单位
     * @param purchaseUnit 采购单位
     */
    public void setPurchaseUnit(String purchaseUnit) {
        this.purchaseUnit = purchaseUnit == null ? null : purchaseUnit.trim();
    }

    /**
     * 合同截止日期
     * @return disable_date 合同截止日期
     */
    public Date getDisableDate() {
        return disableDate;
    }

    /**
     * 合同截止日期
     * @param disableDate 合同截止日期
     */
    public void setDisableDate(Date disableDate) {
        this.disableDate = disableDate;
    }

    /**
     * 原合同编号；废弃；
     * @return original_contract 原合同编号；废弃；
     */
    public String getOriginalContract() {
        return originalContract;
    }

    /**
     * 原合同编号；废弃；
     * @param originalContract 原合同编号；废弃；
     */
    public void setOriginalContract(String originalContract) {
        this.originalContract = originalContract == null ? null : originalContract.trim();
    }

    /**
     * 原合同id
     * @return original_contract_bid 原合同id
     */
    public Integer getOriginalContractBid() {
        return originalContractBid;
    }

    /**
     * 原合同id
     * @param originalContractBid 原合同id
     */
    public void setOriginalContractBid(Integer originalContractBid) {
        this.originalContractBid = originalContractBid;
    }

    /**
     * 起始合同id
     * @return root_contract_bid 起始合同id
     */
    public Integer getRootContractBid() {
        return rootContractBid;
    }

    /**
     * 起始合同id
     * @param rootContractBid 起始合同id
     */
    public void setRootContractBid(Integer rootContractBid) {
        this.rootContractBid = rootContractBid;
    }

    /**
     * 运输方式；废弃；
     * @return shipping_type 运输方式；废弃；
     */
    public Integer getShippingType() {
        return shippingType;
    }

    /**
     * 运输方式；废弃；
     * @param shippingType 运输方式；废弃；
     */
    public void setShippingType(Integer shippingType) {
        this.shippingType = shippingType;
    }

    /**
     * 支付方式；废弃；
     * @return contract_pay_type 支付方式；废弃；
     */
    public Integer getContractPayType() {
        return contractPayType;
    }

    /**
     * 支付方式；废弃；
     * @param contractPayType 支付方式；废弃；
     */
    public void setContractPayType(Integer contractPayType) {
        this.contractPayType = contractPayType;
    }

    /**
     * 已完成数量
     * @return finished_quantity 已完成数量
     */
    public String getFinishedQuantity() {
        return finishedQuantity;
    }

    /**
     * 已完成数量
     * @param finishedQuantity 已完成数量
     */
    public void setFinishedQuantity(String finishedQuantity) {
        this.finishedQuantity = finishedQuantity == null ? null : finishedQuantity.trim();
    }

    /**
     * 已完成数量金额
     * @return money_of_finished_quantity 已完成数量金额
     */
    public String getMoneyOfFinishedQuantity() {
        return moneyOfFinishedQuantity;
    }

    /**
     * 已完成数量金额
     * @param moneyOfFinishedQuantity 已完成数量金额
     */
    public void setMoneyOfFinishedQuantity(String moneyOfFinishedQuantity) {
        this.moneyOfFinishedQuantity = moneyOfFinishedQuantity == null ? null : moneyOfFinishedQuantity.trim();
    }

    /**
     * 合同备注；废弃；
     * @return remark 合同备注；废弃；
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 合同备注；废弃；
     * @param remark 合同备注；废弃；
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 客户种粮面积(亩)；废弃；
     * @return plant_acreage 客户种粮面积(亩)；废弃；
     */
    public String getPlantAcreage() {
        return plantAcreage;
    }

    /**
     * 客户种粮面积(亩)；废弃；
     * @param plantAcreage 客户种粮面积(亩)；废弃；
     */
    public void setPlantAcreage(String plantAcreage) {
        this.plantAcreage = plantAcreage == null ? null : plantAcreage.trim();
    }

    /**
     * 计划编号，废弃
     * @return plan_number 计划编号，废弃
     */
    public String getPlanNumber() {
        return planNumber;
    }

    /**
     * 计划编号，废弃
     * @param planNumber 计划编号，废弃
     */
    public void setPlanNumber(String planNumber) {
        this.planNumber = planNumber == null ? null : planNumber.trim();
    }

    /**
     * 客户联系方式；
     * @return mobile 客户联系方式；
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 客户联系方式；
     * @param mobile 客户联系方式；
     */
    public void setMobile(String mobile) {
        this.mobile = mobile == null ? null : mobile.trim();
    }

    /**
     * 开户行名称；
     * @return bank_name 开户行名称；
     */
    public String getBankName() {
        return bankName;
    }

    /**
     * 开户行名称；
     * @param bankName 开户行名称；
     */
    public void setBankName(String bankName) {
        this.bankName = bankName == null ? null : bankName.trim();
    }

    /**
     * 银行账户名称；
     * @return account_name 银行账户名称；
     */
    public String getAccountName() {
        return accountName;
    }

    /**
     * 银行账户名称；
     * @param accountName 银行账户名称；
     */
    public void setAccountName(String accountName) {
        this.accountName = accountName == null ? null : accountName.trim();
    }

    /**
     * 开户账号；
     * @return account_number 开户账号；
     */
    public String getAccountNumber() {
        return accountNumber;
    }

    /**
     * 开户账号；
     * @param accountNumber 开户账号；
     */
    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber == null ? null : accountNumber.trim();
    }

    /**
     * 违约责任；
     * @return breach_liability 违约责任；
     */
    public String getBreachLiability() {
        return breachLiability;
    }

    /**
     * 违约责任；
     * @param breachLiability 违约责任；
     */
    public void setBreachLiability(String breachLiability) {
        this.breachLiability = breachLiability == null ? null : breachLiability.trim();
    }

    /**
     * 解除条件；
     * @return dissolution_conditions 解除条件；
     */
    public String getDissolutionConditions() {
        return dissolutionConditions;
    }

    /**
     * 解除条件；
     * @param dissolutionConditions 解除条件；
     */
    public void setDissolutionConditions(String dissolutionConditions) {
        this.dissolutionConditions = dissolutionConditions == null ? null : dissolutionConditions.trim();
    }

    /**
     * 客户-证件号
     * @return identification 客户-证件号
     */
    public String getIdentification() {
        return identification;
    }

    /**
     * 客户-证件号
     * @param identification 客户-证件号
     */
    public void setIdentification(String identification) {
        this.identification = identification == null ? null : identification.trim();
    }

    /**
     * 客户签约人
     * @return khqyr 客户签约人
     */
    public String getKhqyr() {
        return khqyr;
    }

    /**
     * 客户签约人
     * @param khqyr 客户签约人
     */
    public void setKhqyr(String khqyr) {
        this.khqyr = khqyr == null ? null : khqyr.trim();
    }

    /**
     * 本方开户行
     * @return bfkhh 本方开户行
     */
    public String getBfkhh() {
        return bfkhh;
    }

    /**
     * 本方开户行
     * @param bfkhh 本方开户行
     */
    public void setBfkhh(String bfkhh) {
        this.bfkhh = bfkhh == null ? null : bfkhh.trim();
    }

    /**
     * 本方账号
     * @return bfzh 本方账号
     */
    public String getBfzh() {
        return bfzh;
    }

    /**
     * 本方账号
     * @param bfzh 本方账号
     */
    public void setBfzh(String bfzh) {
        this.bfzh = bfzh == null ? null : bfzh.trim();
    }

    /**
     * 争议解决方式；
     * @return dispute_settlement_method 争议解决方式；
     */
    public String getDisputeSettlementMethod() {
        return disputeSettlementMethod;
    }

    /**
     * 争议解决方式；
     * @param disputeSettlementMethod 争议解决方式；
     */
    public void setDisputeSettlementMethod(String disputeSettlementMethod) {
        this.disputeSettlementMethod = disputeSettlementMethod == null ? null : disputeSettlementMethod.trim();
    }

    /**
     * 合同的变更记录标志；
     * @return change_record_flag 合同的变更记录标志；
     */
    public String getChangeRecordFlag() {
        return changeRecordFlag;
    }

    /**
     * 合同的变更记录标志；
     * @param changeRecordFlag 合同的变更记录标志；
     */
    public void setChangeRecordFlag(String changeRecordFlag) {
        this.changeRecordFlag = changeRecordFlag == null ? null : changeRecordFlag.trim();
    }

    /**
     * 合同变更原因
     * @return change_reason 合同变更原因
     */
    public String getChangeReason() {
        return changeReason;
    }

    /**
     * 合同变更原因
     * @param changeReason 合同变更原因
     */
    public void setChangeReason(String changeReason) {
        this.changeReason = changeReason == null ? null : changeReason.trim();
    }

    /**
     * 变更时间
     * @return change_time 变更时间
     */
    public Date getChangeTime() {
        return changeTime;
    }

    /**
     * 变更时间
     * @param changeTime 变更时间
     */
    public void setChangeTime(Date changeTime) {
        this.changeTime = changeTime;
    }

    /**
     * 变更内容
     * @return change_content 变更内容
     */
    public String getChangeContent() {
        return changeContent;
    }

    /**
     * 变更内容
     * @param changeContent 变更内容
     */
    public void setChangeContent(String changeContent) {
        this.changeContent = changeContent == null ? null : changeContent.trim();
    }

    /**
     * 是否在被变更中(0否；1是；2变更成功)
     * @return changing 是否在被变更中(0否；1是；2变更成功)
     */
    public String getChanging() {
        return changing;
    }

    /**
     * 是否在被变更中(0否；1是；2变更成功)
     * @param changing 是否在被变更中(0否；1是；2变更成功)
     */
    public void setChanging(String changing) {
        this.changing = changing == null ? null : changing.trim();
    }

    /**
     * 审批状态（0待提交，1审批中，2同意，3驳回，4拒绝）
     * @return audit_state 审批状态（0待提交，1审批中，2同意，3驳回，4拒绝）
     */
    public String getAuditState() {
        return auditState;
    }

    /**
     * 审批状态（0待提交，1审批中，2同意，3驳回，4拒绝）
     * @param auditState 审批状态（0待提交，1审批中，2同意，3驳回，4拒绝）
     */
    public void setAuditState(String auditState) {
        this.auditState = auditState == null ? null : auditState.trim();
    }

    /**
     * 流程实例id
     * @return process_instance_id 流程实例id
     */
    public String getProcessInstanceId() {
        return processInstanceId;
    }

    /**
     * 流程实例id
     * @param processInstanceId 流程实例id
     */
    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId == null ? null : processInstanceId.trim();
    }

    /**
     * 流程定义id
     * @return process_definition_id 流程定义id
     */
    public String getProcessDefinitionId() {
        return processDefinitionId;
    }

    /**
     * 流程定义id
     * @param processDefinitionId 流程定义id
     */
    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId == null ? null : processDefinitionId.trim();
    }

    /**
     * 审批完成时间
     * @return agree_time 审批完成时间
     */
    public Date getAgreeTime() {
        return agreeTime;
    }

    /**
     * 审批完成时间
     * @param agreeTime 审批完成时间
     */
    public void setAgreeTime(Date agreeTime) {
        this.agreeTime = agreeTime;
    }

    /**
     * 合同创建人(数据传输使用）；废弃；
     * @return create_man 合同创建人(数据传输使用）；废弃；
     */
    public String getCreateMan() {
        return createMan;
    }

    /**
     * 合同创建人(数据传输使用）；废弃；
     * @param createMan 合同创建人(数据传输使用）；废弃；
     */
    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    /**
     * 创建人
     * @return creater 创建人
     */
    public String getCreater() {
        return creater;
    }

    /**
     * 创建人
     * @param creater 创建人
     */
    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    /**
     * 合同创建时间
     * @return create_time 合同创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 合同创建时间
     * @param createTime 合同创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建部门
     * @return create_unit 创建部门
     */
    public String getCreateUnit() {
        return createUnit;
    }

    /**
     * 创建部门
     * @param createUnit 创建部门
     */
    public void setCreateUnit(String createUnit) {
        this.createUnit = createUnit == null ? null : createUnit.trim();
    }

    /**
     * 暂停或终止原因
     * @return create_depot 暂停或终止原因
     */
    public String getCreateDepot() {
        return createDepot;
    }

    /**
     * 暂停或终止原因
     * @param createDepot 暂停或终止原因
     */
    public void setCreateDepot(String createDepot) {
        this.createDepot = createDepot == null ? null : createDepot.trim();
    }

    /**
     * 修改时间
     * @return update_time 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 单位id；org_info的ID；
     * @return org_id 单位id；org_info的ID；
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位id；org_info的ID；
     * @param orgId 单位id；org_info的ID；
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 启用状态 0 : 未执行,1 : 执行中,2 : 执行完毕,3 : 终止,4 : 暂停
     * @return in_application 启用状态 0 : 未执行,1 : 执行中,2 : 执行完毕,3 : 终止,4 : 暂停
     */
    public Integer getInApplication() {
        return inApplication;
    }

    /**
     * 启用状态 0 : 未执行,1 : 执行中,2 : 执行完毕,3 : 终止,4 : 暂停
     * @param inApplication 启用状态 0 : 未执行,1 : 执行中,2 : 执行完毕,3 : 终止,4 : 暂停
     */
    public void setInApplication(Integer inApplication) {
        this.inApplication = inApplication;
    }

    /**
     * 创建人id
     * @return creater_id 创建人id
     */
    public Integer getCreaterId() {
        return createrId;
    }

    /**
     * 创建人id
     * @param createrId 创建人id
     */
    public void setCreaterId(Integer createrId) {
        this.createrId = createrId;
    }

    /**
     * 更新时间
     * @return updatetime 更新时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 更新时间
     * @param updatetime 更新时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 附件
     * @return attachment 附件
     */
    public String getAttachment() {
        return attachment;
    }

    /**
     * 附件
     * @param attachment 附件
     */
    public void setAttachment(String attachment) {
        this.attachment = attachment == null ? null : attachment.trim();
    }
}