package com.chinaitop.depot.grainReserves.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author qingsong.han
 * @description: 分页基类
 * @create 2024-05-17 9:28
 */
@Data
public class PageParam {

    @ApiModelProperty(value = "页码")
    @NotNull(message = "页码非空")
    @Min(value = 1, message = "当前页必须>=1")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    @NotNull(message = "页码非空")
    @Min(value = 1, message = "每页条数>=1")
    private Integer pageSize;

    @ApiModelProperty(value = "库区编码")
    @NotNull(message = "库区编码非空")
    private Integer orgId;
}
