package com.chinaitop.depot.grainReserves.controller;

import com.chinaitop.depot.grainReserves.model.BizGopsPlan;
import com.chinaitop.depot.grainReserves.model.BizGopsPlanPage;
import com.chinaitop.depot.grainReserves.service.BizGopsPlanService;
import com.chinaitop.depot.unissoft.model.ResponseEntity;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.aspectj.weaver.ast.Var;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author qingsong.han
 * @description: 购销计划接收
 * @create 2024-05-22 19:59
 */
@RestController
@RequestMapping("/gopsPlan")
@Api(value= "BizGopsPlanController", description = "购销计划接收")
public class BizGopsPlanController {
    @Resource
    private BizGopsPlanService gopsPlanService;

    @RequestMapping(value = "/getPageList", method = RequestMethod.GET)
    @ApiOperation(value = "分页列表", notes = "分页列表")
    public ResponseEntity<PageInfo<BizGopsPlan>> getPageList(@Validated BizGopsPlanPage pageParam) {
        return ResponseEntity.ok(gopsPlanService.getPageList(pageParam));
    }

    @GetMapping("/getByMasterId/{id}/{planType}")
    @ApiOperation(value = "详情", notes = "详情")
    public ResponseEntity getByMasterId(@PathVariable("id") String id, @PathVariable("planType") Integer planType) {
        return ResponseEntity.ok(gopsPlanService.getByMasterId(id, planType));
    }

}
