package com.chinaitop.depot.grainReserves.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-22 20:05
 */
@Data
public class BizGopsPlan {

    @ApiModelProperty(value = "计划ID")
    private String id;

    @ApiModelProperty(value = "库区名称")
    private String orgName;

    @ApiModelProperty(value = "接收库区id；外库depot_qh.org_info的id；")
    private Integer orgId;

    @ApiModelProperty(value = "计划单号")
    private String planOrderNo;

    @ApiModelProperty(value = "计划文号")
    private String planNo;

    @ApiModelProperty(value = "计划名称")
    private String planName;

    @ApiModelProperty(value = "计划年度")
    private String planYear;

    @ApiModelProperty(value = "制定计划单位")
    private String planUnit;

    @ApiModelProperty(value = "计划类型 1：销售计划；2：收购计划")
    private Integer planType;

    @ApiModelProperty(value = "计划下达时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planReleaseTime;

    @ApiModelProperty(value = "状态 0：保存；1：下发；")
    private Integer statusType;

}
