package com.chinaitop.depot.grainReserves.service;

import com.chinaitop.depot.grainReserves.mapper.BizGopsPlanMapper;
import com.chinaitop.depot.grainReserves.model.BizGopsPlan;
import com.chinaitop.depot.grainReserves.model.BizGopsPlanPage;
import com.chinaitop.depot.grainReserves.model.GopsPlanObject;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-22 20:03
 */
public interface BizGopsPlanService {

    PageInfo<BizGopsPlan> getPageList(BizGopsPlanPage pageParam);

    List<GopsPlanObject> getByMasterId(String id, Integer planType);

    @Service
    class BizGopsPlanServiceImpl implements BizGopsPlanService {
        @Resource
        private BizGopsPlanMapper gopsPlanMapper;

        @Override
        public PageInfo<BizGopsPlan> getPageList(BizGopsPlanPage pageParam) {
            PageHelper.startPage(pageParam.getPageNum(), pageParam.getPageSize());
            List<BizGopsPlan> list = gopsPlanMapper.getPageList(pageParam.getPlanName(), pageParam.getOrgId());
            return new PageInfo<>(list);
        }

        @Override
        public List<GopsPlanObject> getByMasterId(String id, Integer planType) {
            // 计划类型 1：销售计划；2：收购计划
            List<GopsPlanObject> objectList = new ArrayList<>();
            if (planType == 1)
                objectList = gopsPlanMapper.getPlanSaleList(id);
            if (planType == 2)
                objectList = gopsPlanMapper.getPlanBuyList(id);
            return objectList;
        }
    }

}
