package com.chinaitop.depot.pg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 成品粮监管-购销计划管理表实体
 *
 * @author TS
 * @date  2024/06/11 15:41
 **/
@Getter
@Setter
public class BusinessPgGopsPlan {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID", position = 1)
    private Integer id;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 2)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 3)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 4)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedate;

    /** 库区；org_info的id； */
    @ApiModelProperty(value = "库区；org_info的id；", position = 5)
    private Integer orgId;

    /** 计划编号 */
    @ApiModelProperty(value = "计划编号", position = 6)
    private String planCode;

    /** 计划名称 */
    @ApiModelProperty(value = "计划名称", position = 6)
    private String planName;


    /** 计划类型，1：销售计划；2：收购计划； */
    @ApiModelProperty(value = "计划类型，1：销售计划；2：收购计划；", position = 7)
    private Integer planType;

    /** 计划开始时间 */
    @ApiModelProperty(value = "计划开始时间", position = 8)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date planStartTime;

    /** 计划结束时间 */
    @ApiModelProperty(value = "计划结束时间", position = 9)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date planEndTime;

    /** 客户名称 */
    @ApiModelProperty(value = "客户名称", position = 10)
    private String customerName;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 11)
    private String contactInformation;

    /** 总金额 */
    @ApiModelProperty(value = "总金额", position = 12)
    private BigDecimal totalAmount;

    /** 完成金额 */
    @ApiModelProperty(value = "完成金额", position = 13)
    private BigDecimal completionAmount;

    /** 剩余金额 */
    @ApiModelProperty(value = "剩余金额", position = 14)
    private BigDecimal remainingAmount;

    /** 计划数量 */
    @ApiModelProperty(value = "计划数量", position = 15)
    private BigDecimal planQuantity;

    /** 完成数量 */
    @ApiModelProperty(value = "完成数量", position = 16)
    private BigDecimal completionQuantity;

    @ApiModelProperty(value = "成品粮明细数据", position = 17)
    List<BusinessPgGopsPlanDetail> detailList;
}
