package com.chinaitop.depot.pg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 成品粮监管-购销计划管理-明细表实体
 *
 * @author TS
 * @date  2024/06/11 15:42
 **/
@Getter
@Setter
public class BusinessPgGopsPlanDetail {

    /** 明细记录唯一标识符 */
    @ApiModelProperty(value = "明细记录唯一标识符", position = 1)
    private Integer id;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 2)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 3)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 4)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedate;

    /** business_pg_gops_plan的id； */
    @ApiModelProperty(value = "business_pg_gops_plan的id；", position = 5)
    private Integer pgGopsPlanId;

    /** 商品；data_crkyw_cplsp_default的id； */
    @ApiModelProperty(value = "商品；data_crkyw_cplsp_default的id；", position = 6)
    private String crkywCplspDefaultId;

    /** 性质 */
    @ApiModelProperty(value = "性质", position = 7)
    private String grainNatureId;

    /** 数量 */
    @ApiModelProperty(value = "数量", position = 8)
    private BigDecimal quantity;

    /** 重量，单位：吨 */
    @ApiModelProperty(value = "重量，单位：吨", position = 9)
    private BigDecimal weight;

    /** 单价，单位：元 */
    @ApiModelProperty(value = "单价，单位：元", position = 10)
    private BigDecimal unitPrice;

    /** 金额，单位：万元 */
    @ApiModelProperty(value = "金额，单位：万元", position = 11)
    private BigDecimal amount;

    /** 完成数量 */
    @ApiModelProperty(value = "完成数量", position = 16)
    private BigDecimal completionQuantity;
}
