package com.chinaitop.depot.pg.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 成品粮商品表
 * </p>
 *
 * @author TangSong
 * @since 2024-06-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DataCrkywCplspDefault对象", description="成品粮商品表")
public class DataCrkywCplspDefaultVO implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "ID")
    private String dataId;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjsj;

    @ApiModelProperty(value = "实际军粮品种名称")
    private String sjjlpzmc;

    @ApiModelProperty(value = "实际军粮品种编号")
    private String sjjlpzbh;

    @ApiModelProperty(value = "实际军粮品牌名称")
    private String sjjlppmc;

    @ApiModelProperty(value = "等级")
    private String dj;

    @ApiModelProperty(value = "等级名称")
    private String djmc;

    @ApiModelProperty(value = "实际军粮商品名称")
    private String sjjlspmc;

    @ApiModelProperty(value = "实际军粮商品名称编号")
    private String sjjlspmcbh;

    @ApiModelProperty(value = "规格")
    private String gg;

    @ApiModelProperty(value = "计量单位")
    private String jldw;

    @ApiModelProperty(value = "计量单位名称")
    private String jldwmc;

    @ApiModelProperty(value = "保质期")
    private String bzq;
}
