package com.chinaitop.depot.pg.service;

import com.chinaitop.depot.pg.model.BusinessPgGopsPlan;
import com.chinaitop.depot.pg.model.vo.BusinessPgGopsPlanVO;
import com.chinaitop.depot.pg.model.vo.DataCrkywCplspDefaultVO;
import com.chinaitop.depot.pg.param.BusinessPgGopsPlanPageParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 轮换计划-入库信息表 服务类
 * </p>
 *
 * @author TS
 * @since 2024-06-11
 */
public interface BusinessPgGopsPlanService {

    /**
     * 成品粮购销计划列表
     * @param businessPgGopsPlanPageParam
     * @return
     */
    List<Map<String,Object>> queryByExample(BusinessPgGopsPlanPageParam businessPgGopsPlanPageParam);

    /**
     * 保存或修改成品粮购销计划
     * @param businessPgGopsPlan
     * @return
     */
    Map<String,Object> add(BusinessPgGopsPlan businessPgGopsPlan);

    /**
     * 删除成品粮购销计划
     * @param id
     * @return
     */
    Map<String,Object> removeById(Integer id);

    /**
     * 得到成品粮购销计划
     * @param id
     * @return
     */
    BusinessPgGopsPlanVO getPgPlanDetail(Integer id);

    /**
     * 获取本库区对应的商品列表
     * @param orgId
     * @return
     */
    List<DataCrkywCplspDefaultVO> getCplSpList(String orgId);
}
