package com.chinaitop.depot.rp.mapper;

import com.chinaitop.depot.rp.model.BusinessRpReport;
import com.chinaitop.depot.rp.model.BusinessRpReportExample;
import com.chinaitop.depot.rp.model.vo.BusinessRpReportRecVO;
import com.chinaitop.depot.rp.model.vo.BusinessRpReportVO;

import java.util.List;

import com.chinaitop.depot.rp.param.BusinessRpBiweeklyReportPageParam;
import com.chinaitop.depot.rp.param.BusinessRpReportPageParam;
import org.apache.ibatis.annotations.Param;
import java.util.Map;

/**
 * <p>
 * 轮换计划-上报 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface BusinessRpReportMapper  {
    int countByExample(BusinessRpReportExample example);

    int deleteByExample(BusinessRpReportExample example);

    int deleteByPrimaryKey(@Param("id") Integer id);

    int insert(BusinessRpReport record);

    int insertSelective(BusinessRpReport record);

    List<BusinessRpReport> selectByExample(BusinessRpReportExample example);

    BusinessRpReport selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessRpReport record, @Param("example") BusinessRpReportExample example);

    int updateByExample(@Param("record") BusinessRpReport record, @Param("example") BusinessRpReportExample example);

    int updateByPrimaryKeySelective(BusinessRpReport record);

    int updateByPrimaryKey(BusinessRpReport record);

    BusinessRpReportVO getRpReportFindByById(@Param("rpReportId")Integer rpReportId);

    List<Map<String,Object>> selectByPageParam(@Param("pageParam")BusinessRpReportPageParam pageParam);

    /**
     * 轮换计划接收列表
     * @param pageParam
     * @return
     */
    List<Map<String,Object>> selectRecListByPageParam(@Param("pageParam")BusinessRpReportPageParam pageParam);

    /**
     * 轮换计划接收主表详情
     * @param rpReportId
     * @param orgId
     * @return
     */
    BusinessRpReportRecVO getRpReportByById(@Param("rpReportId") String rpReportId, @Param("orgId") String orgId);
}
