package com.chinaitop.depot.rp.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 轮换计划-轮换半月报表
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="BusinessRpBiweeklyReport对象", description="轮换计划-轮换半月报表")
public class BusinessRpBiweeklyReport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "创建日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedate;

    @ApiModelProperty(value = "库区id；org_info的id；")
    private Integer orgId;

    @ApiModelProperty(value = "库区名称")
    private String orgName;

    @ApiModelProperty(value = "轮换计划名称；business_rp_report的id；")
    private Integer rpReportId;

    @ApiModelProperty(value = "轮换计划名称")
    private String rpReportName;

    @ApiModelProperty(value = "轮换年度")
    private String rotationYear;

    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    @ApiModelProperty(value = "状态 0: 保存; 1: 提交;")
    private Integer status;

    @ApiModelProperty(value = "轮换计划-轮换半月报表-粮食品种")
    private List<BusinessRpBiweeklyReportGrain>  reportGrainList;



}
