package com.chinaitop.depot.rp.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 轮换计划-轮换半月报表-粮食品种
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="BusinessRpBiweeklyReportGrain对象", description="轮换计划-轮换半月报表-粮食品种")
public class BusinessRpBiweeklyReportGrain implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "创建日期")

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedate;

    @ApiModelProperty(value = "business_rp_biweekly_report的id；")
    private Integer rpBiweeklyReportId;

    @ApiModelProperty(value = "轮换计划名称；business_rp_report的id；")
    private Integer rpReportId;

    @ApiModelProperty(value = "计划数量")
    private BigDecimal planQuantity;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食品种；basic_enum的名称；")
    private String grainVarietyName;

    @ApiModelProperty(value = "轮出-本期-数量")
    private BigDecimal outCurrentQuantity;

    @ApiModelProperty(value = "轮出-本期-均价")
    private BigDecimal outCurrentAvgPrice;

    @ApiModelProperty(value = "轮出-累计-数量")
    private BigDecimal outSumQuantity;

    @ApiModelProperty(value = "轮出-累计-均价")
    private BigDecimal outSumAvgPrice;

    @ApiModelProperty(value = "轮出-累计-占比")
    private BigDecimal outSumRatio;

    @ApiModelProperty(value = "轮入-本期-数量")
    private BigDecimal inCurrentQuantity;

    @ApiModelProperty(value = "轮入-本期-均价")
    private BigDecimal inCurrentAvgPrice;

    @ApiModelProperty(value = "轮入-累计-数量")
    private BigDecimal inSumQuantity;

    @ApiModelProperty(value = "轮入-累计-均价")
    private BigDecimal inSumAvgPrice;

    @ApiModelProperty(value = "轮入-累计-占比")
    private BigDecimal inSumRatio;

    @ApiModelProperty(value = "备注")
    private String remark;


}
