package com.chinaitop.depot.rp.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 轮换计划-轮换半月报表-粮食品种-出入库关系表
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="BusinessRpBiweeklyReportGrainStock对象", description="轮换计划-轮换半月报表-粮食品种-出入库关系表")
public class BusinessRpBiweeklyReportGrainStock implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "创建日期")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    private Date updatedate;

    @ApiModelProperty(value = "类型 1：出库；2：入库；")
    private Integer type;

    @ApiModelProperty(value = "business_rp_biweekly_report_grain的id")
    private Integer rpBiweeklyReportGrainId;

    @ApiModelProperty(value = "type=1时，data_crkyw_ckrmdj_default的id，出库记录id；	type=2时，data_crkyw_rmdj_default的id，入库记录id；")
    private String crkywDefaultId;


}
