package com.chinaitop.depot.rp.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 轮换计划-入库信息表
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="BusinessRpInbound对象", description="轮换计划-入库信息表")
public class BusinessRpInbound implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "创建日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedate;

    @ApiModelProperty(value = "business_rp_report的id；")
    private Integer rpReportId;

    @ApiModelProperty(value = "粮库id；org_info的id；")
    private Integer orgId;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；")
    private Integer grainNatureId;

    @ApiModelProperty(value = "数量")
    private BigDecimal quantity;

    private BigDecimal sealingQuantity;

    private Integer storagePeriod;

    @ApiModelProperty(value = "生产年限")
        private Integer productPeriod;

    @ApiModelProperty(value = "计划入库数量")
    private BigDecimal planQuantity;

//   显示名称
    @ApiModelProperty(value = "粮食品种；basic_enum的id；粮食品种名称")
    private String grainVarietyName;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；粮食性质名称")
    private String grainNatureName;

    private String orgName;

}
