package com.chinaitop.depot.rp.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.Year;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 轮换计划-上报
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="BusinessRpReport对象", description="轮换计划-上报")
public class BusinessRpReport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Integer id;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建用户")
    private String createUser;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新用户")
    private String updateUser;

    @ApiModelProperty(value = "企业id；province_all.biz_unit_info的id；")
    private String unitInfoId;

    @ApiModelProperty(value = "计划名称")
    private String planName;

    @ApiModelProperty(value = "轮换年度")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy", timezone = "GMT+8")
    private Year rotationYear;

    @ApiModelProperty(value = "计划类型 1: 粮食轮换计划; 2: 油料轮换计划;")
    private Integer planType;
    @ApiModelProperty(value = "轮换类型 1:静态轮换；2：动态轮换；")
    private Integer type;

    @ApiModelProperty(value = "计划年度")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy", timezone = "GMT+8")
    private Year planYear;

    @ApiModelProperty(value = "申请人")
    private String applicant;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建日期")
    private Date createDate;

    @ApiModelProperty(value = "状态 0：保存；1：提交；")
    private Integer status;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "上报时间")
    private Date reportTime;

    @ApiModelProperty(value = "出库信息")
    private List<BusinessRpOutbound> businessRpOutboundList;

    @ApiModelProperty(value = "入库信息")
    private List<BusinessRpInbound> businessRpInboundList;




}
