package com.chinaitop.depot.rp.model.vo;

import com.chinaitop.depot.rp.model.BusinessRpInbound;
import com.chinaitop.depot.rp.model.BusinessRpOutbound;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.Year;
import java.util.Date;
import java.util.List;

public class BusinessRpReportVO extends BusinessRpOutboundVO{

    @ApiModelProperty(value = "business_rp_report的id；")
    private Integer rpReportId;

    @ApiModelProperty(value = "粮库id；org_info的id；")
    private Integer orgId;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；")
    private Integer grainNatureId;

    @ApiModelProperty(value = "数量")
    private BigDecimal quantity;

    @ApiModelProperty(value = "生产年限")
    private Integer productPeriod;

    @ApiModelProperty(value = "计划入库数量")
    private BigDecimal planQuantity;

    @ApiModelProperty(value = "企业id；province_all.biz_unit_info的id；")
    private String unitInfoId;

    @ApiModelProperty(value = "计划名称")
    private String planName;

    @ApiModelProperty(value = "轮换年度")
    private Year rotationYear;

    @ApiModelProperty(value = "计划类型 1: 粮食轮换计划; 2: 油料轮换计划;")
    private Integer planType;

    @ApiModelProperty(value = "计划年度")
    private Year planYear;

    private  Integer type;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getDwmc() {
        return dwmc;
    }

    public void setDwmc(String dwmc) {
        this.dwmc = dwmc;
    }

    @ApiModelProperty(value = "申请人")
    private String applicant;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建日期")
    private Date createDate;

    @ApiModelProperty(value = "状态 0：保存；1：提交；")
    private Integer status;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "上报时间")
    private Date reportTime;

    @ApiModelProperty(value = "出库信息")
    private List<BusinessRpOutbound> businessRpOutboundList;

    @ApiModelProperty(value = "出库信息")
    private List<BusinessRpInbound> businessRpInboundList;

    private  String dwmc;

    @Override
    public Integer getRpReportId() {
        return rpReportId;
    }

    @Override
    public void setRpReportId(Integer rpReportId) {
        this.rpReportId = rpReportId;
    }

    @Override
    public Integer getOrgId() {
        return orgId;
    }

    @Override
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    @Override
    public Integer getGrainVarietyId() {
        return grainVarietyId;
    }

    @Override
    public void setGrainVarietyId(Integer grainVarietyId) {
        this.grainVarietyId = grainVarietyId;
    }

    @Override
    public Integer getGrainNatureId() {
        return grainNatureId;
    }

    @Override
    public void setGrainNatureId(Integer grainNatureId) {
        this.grainNatureId = grainNatureId;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public Integer getProductPeriod() {
        return productPeriod;
    }

    public void setProductPeriod(Integer productPeriod) {
        this.productPeriod = productPeriod;
    }

    @Override
    public BigDecimal getPlanQuantity() {
        return planQuantity;
    }

    @Override
    public void setPlanQuantity(BigDecimal planQuantity) {
        this.planQuantity = planQuantity;
    }

    public String getUnitInfoId() {
        return unitInfoId;
    }

    public void setUnitInfoId(String unitInfoId) {
        this.unitInfoId = unitInfoId;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public Year getRotationYear() {
        return rotationYear;
    }

    public void setRotationYear(Year rotationYear) {
        this.rotationYear = rotationYear;
    }

    public Integer getPlanType() {
        return planType;
    }

    public void setPlanType(Integer planType) {
        this.planType = planType;
    }

    public Year getPlanYear() {
        return planYear;
    }

    public void setPlanYear(Year planYear) {
        this.planYear = planYear;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getReportTime() {
        return reportTime;
    }

    public void setReportTime(Date reportTime) {
        this.reportTime = reportTime;
    }

    public List<BusinessRpOutbound> getBusinessRpOutboundList() {
        return businessRpOutboundList;
    }

    public void setBusinessRpOutboundList(List<BusinessRpOutbound> businessRpOutboundList) {
        this.businessRpOutboundList = businessRpOutboundList;
    }

    public List<BusinessRpInbound> getBusinessRpInboundList() {
        return businessRpInboundList;
    }

    public void setBusinessRpInboundList(List<BusinessRpInbound> businessRpInboundList) {
        this.businessRpInboundList = businessRpInboundList;
    }
}
