package com.chinaitop.depot.rp.service;

import com.chinaitop.depot.rp.model.BusinessRpBiweeklyReport;
import com.chinaitop.depot.rp.param.BusinessRpBiweeklyReportPageParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 轮换计划-轮换半月报表 服务类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface BusinessRpBiweeklyReportService  {
    /**
     *轮换计划-轮换半月列表
     * @param biweeklyReportPageParam
     * @return
     */
    List<Map<String,Object>> queryByExample(BusinessRpBiweeklyReportPageParam biweeklyReportPageParam);

    /**
     * 得到轮换计划下拉列表
     * @param orgId
     * @return
     */
    List<Map<String,Object>> getRpReportList(String orgId);

    /**
     * 新增时得到轮换计划详情
     * @param rpReportId
     * @return
     */
    List<Map<String,Object>> getRpReportDetailsByAdd(String rpReportId);

    /**
     *保存或修改轮换半月报数据
     * @param businessRpBiweeklyReport
     * @return
     */
    Map<String,Object> add(BusinessRpBiweeklyReport businessRpBiweeklyReport);

    /**
     * 删除轮换半月报数据
     * @param businessRpBiweeklyReportId
     * @return
     */
    Map<String,Object> removeById(String businessRpBiweeklyReportId);

    /**
     * 查看轮换半月报数据
     * @param businessRpBiweeklyReportId
     * @return
     */
    Map<String,Object> getDetail(String businessRpBiweeklyReportId);
}
