package com.chinaitop.depot.rp.service;

import com.chinaitop.depot.business.model.OrgInfo;
import com.chinaitop.depot.rp.model.BusinessQcQualityInspection;
import com.chinaitop.depot.rp.model.BusinessRpReport;
import com.chinaitop.depot.rp.model.vo.BusinessRpOutboundVO;
import com.chinaitop.depot.rp.model.vo.BusinessRpReportRecVO;
import com.chinaitop.depot.rp.model.vo.BusinessRpReportVO;
import com.chinaitop.depot.rp.param.BusinessRpBiweeklyReportPageParam;
import com.chinaitop.depot.rp.param.BusinessRpReportPageParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 轮换计划-上报 服务类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface BusinessRpReportService  {

    BusinessRpOutboundVO findByWarehouseInfo(Integer warehouseId);

   // BusinessRpOutboundVO findByfindByQualityCheckInfo(Integer warehouseId);

    List<OrgInfo> findByOrgInfo(Integer orgId, String unitInfoId);

   List<BusinessRpOutboundVO> findByStoreHouseInfo(Integer orgId);

    /**
     * 根据仓房查询货位
     * @param basicStorehouseId
     * @return
     */
   List<BusinessRpOutboundVO> findByWareHouseInfo(Integer basicStorehouseId);

    BusinessRpReportVO getRpReportFindByById(Integer rpReportId);

    Map<String, Object> add(BusinessRpReport businessRpReport);

    /**
     *轮换计划-列表
     * @param businessRpReportPageParam
     * @return
     */
    List<Map<String,Object>> queryByExample(BusinessRpReportPageParam businessRpReportPageParam);

    Map<String,Object> removeById(Integer id);

    /**
     *轮换计划接收列表
     * @param businessRpReportPageParam
     * @return
     */
    List<Map<String,Object>> getRecList(BusinessRpReportPageParam businessRpReportPageParam);

    /**
     * 得到轮换计划接收详情
     * @param rpReportId
     * @param orgId
     * @return
     */
    BusinessRpReportRecVO getRpReportRecDetail(String rpReportId, String orgId);


    List<BusinessQcQualityInspection> getQualityInspectionFindById(String rpReportId, Integer warehouseId, String jylb,Integer inspectionReportId);

    List<BusinessQcQualityInspection> getQualityInspectionFindByWarehouseId(String jylb,Integer warehouseId);

    List<BusinessQcQualityInspection> getFindByReportIds(String ids);
}
